<?php
/**
 * This the template to customer device info.
 * The info provided are:
 * - Browser name
 * - IP address and country
 * - Operating System
 * - Device type (Mobile, Tablet, or Desktop)
 * - Device brand
 *
 * @var $ip_address
 * @var $ua_family
 * @var $ua_name
 * @var $os_family
 * @var $os_name
 * @var $device_family
 * @var $device_name
 * @var DeviceClassification $classification
 * @var array $country
 */
?>
<div class="woodev address">
    <h4><?php _e('Device Info', 'woodev'); ?></h4>
    <div>
        <div class="woodev row">
            <div class="woodev label"><?php _e('IP Address:', 'woodev'); ?></div>&nbsp;
            <div class="woodev label">
                <a class="woodev country <?php echo $country['code']; ?>" title="<?php echo $country['name']; ?>"></a>
            </div>
            <div class="woodev value"><?php echo $country['ip']; ?></div>
        </div>

        <div class="woodev row">
            <div class="woodev label"><?php _e('Browser:', 'woodev'); ?></div>&nbsp;
            <div class="woodev label"><i class="woodev web <?php echo $ua_family; ?>"></i></div>
            <div class="woodev value"><?php echo $ua_name; ?></div>
        </div>

        <div class="woodev row">
            <div class="woodev label"><?php _e('OS:', 'woodev'); ?></div>&nbsp;
            <div class="woodev label"><i class="woodev os <?php echo $os_family; ?>"></i></div>
            <div class="woodev value"><?php echo $os_name; ?></div>
        </div>

        <?php
        if ($classification->isMobile || $classification->isMobileDevice) {
            $device_type = 'mobile';
        } elseif ($classification->isTablet) {
            $device_type = 'tablet';
        } elseif ($classification->isSpider) {
            $device_type = 'spider';
        } else {
            $device_type = 'desktop';
        }
        ?>

        <div class="woodev row">
            <div class="woodev label"><?php _e('Type:', 'woodev'); ?></div>&nbsp;
            <div class="woodev label"><i class="woodev device <?php echo $device_type; ?>"></i></div>
            <div class="woodev value"><?php echo ucfirst($device_type); ?></div>
        </div>

        <div class="woodev row">
            <div class="woodev label"><?php _e('Brand:', 'woodev'); ?></div>&nbsp;
            <div class="woodev label"><i class="woodev device <?php echo $device_type; ?>"></i></div>
            <div class="woodev value"><?php echo $device_name; ?></div>
        </div>

    </div>
</div>